diff --git a/include/pico_constants.h b/include/pico_constants.h
index 65d1f9f39..aa79e9f29 100644
--- a/include/pico_constants.h
+++ b/include/pico_constants.h
@@ -8,7 +8,7 @@ See LICENSE and COPYING for usage.
 /* Included from pico_config.h */
 /** Endian-dependant constants **/
 
-extern volatile unsigned long pico_tick;
+extern volatile unsigned long long pico_tick;
 
 #ifdef PICO_BIGENDIAN
 
diff --git a/stack/pico_stack.c b/stack/pico_stack.c
index fd90ef47f..a98f12075 100644
--- a/stack/pico_stack.c
+++ b/stack/pico_stack.c
@@ -34,7 +34,7 @@ Authors: Daniele Lacamera
   const uint8_t PICO_ETHADDR_MCAST[6] = {0x01, 0x00, 0x5e, 0x00, 0x00, 0x00};
 #endif
 
-volatile unsigned long pico_tick;
+volatile unsigned long long pico_tick;
 volatile pico_err_t pico_err;
 
 static uint32_t _rand_seed;
